(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     28443,        863]
NotebookOptionsPosition[     26271,        784]
NotebookOutlinePosition[     26756,        803]
CellTagsIndexPosition[     26713,        800]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Quiet", "@", 
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]}], "Input",
 ExpressionUUID -> "cad0aa2a-ed59-4fb5-8699-43c21071955c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Pokud", " ", "jsme", " ", "se", " ", "uspesne", " ", "dostali", " ", 
     "az", " ", "sem", " ", "a", " ", "chapeme", " ", "metodu", " ", 
     "uzlovych", " ", "napeti", " ", "podle", " ", "skript", " ", "CAO"}], 
    ",", " ", "vime", ",", " ", 
    RowBox[{"ze", " ", "tato", " ", "metoda", " ", "pro", " ", 
     StyleBox["reseni",
      FontSlant->"Italic"], " ", "elektrickych", " ", "obvodu", " ", 
     "postacujici", " ", "a", " ", 
     RowBox[{"napr", ".", " ", "paralelni"}], " ", "a", " ", "seriove", " ", 
     "razeni", " ", 
     RowBox[{"(", 
      RowBox[{
      "ve", " ", "starsi", " ", "odborne", " ", "cestine", " ", "tez", " ", 
       "razeni", " ", 
       StyleBox["vedle",
        FontSlant->"Italic"], 
       StyleBox[" ",
        FontSlant->"Italic"], 
       StyleBox["sebe",
        FontSlant->"Italic"], " ", "a", " ", "razeni", " ", 
       StyleBox["za",
        FontSlant->"Italic"], 
       StyleBox[" ",
        FontSlant->"Italic"], 
       StyleBox["sebou",
        FontSlant->"Italic"]}], ")"}], " ", "z", " ", "ni", " ", "jde", " ", 
     "odvodit"}], ",", " ", 
    RowBox[{
    "ovsem", " ", "tato", " ", "metoda", " ", "je", " ", "pro", " ", 
     "nektere", " ", "priklady", " ", 
     RowBox[{"neprakticka", ":", " ", 
      RowBox[{"mame", "-", 
       RowBox[{"li", " ", 
        RowBox[{"napr", ".", " ", "seriove"}], " ", "deset", " ", "rezistoru",
         " ", "o", " ", "odporu", " ", "1", "\[CapitalOmega]"}]}]}]}], ",", 
    " ", 
    RowBox[{
    "zapojene", " ", "na", " ", "zdroj", " ", "o", " ", "napeti", " ", "10", 
     "V"}], ",", " ", 
    RowBox[{
    "pouziti", " ", "\"\<nasi\>\"", " ", "metody", " ", "vede", " ", "na", 
     " ", "osm", " ", "rovnic"}], ",", " ", 
    RowBox[{
    "prestoze", " ", "\"\<elektrikarovi\>\"", " ", "je", " ", "jasne"}], ",", 
    " ", 
    RowBox[{"ze", " ", "tece", " ", "proud", " ", "1", "A"}], ",", " ", 
    RowBox[{
    "protoze", " ", "onech", " ", "10", " ", "rezistoru", " ", "jde", " ", 
     "nahradit", " ", "jednim", " ", "s", " ", "odporem", " ", "10", 
     "\[CapitalOmega]"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "podivejme", " ", "se", " ", "jak", " ", "seriove", " ", "a", " ", 
    "paralelni", " ", "bud", " ", "soucastek", " ", "stejneho", " ", "typu", 
    " ", "v", " ", "casove", " ", "oblasti", " ", "a", " ", "nebo", " ", 
    "jakychkoli", " ", "impedanci", "  ", "v", " ", "HUS", " ", "resit", " ", 
    "v", " ", "Mathematice"}], "*)"}]}]], "Input",
 CellChangeTimes->{{3.796569693421875*^9, 3.796569694609375*^9}, {
  3.796569735953125*^9, 3.7965698281875*^9}, {3.7965698703125*^9, 
  3.796569951546875*^9}, {3.79656998428125*^9, 3.796570195046875*^9}, {
  3.796908153734375*^9, 3.79690815446875*^9}, {3.796908203578125*^9, 
  3.79690821684375*^9}, {3.796968631015625*^9, 3.7969686648125*^9}, {
  3.796968748109375*^9, 3.796968755265625*^9}},
 ExpressionUUID -> "99cd9a12-2391-47b2-ba3e-b25ceba7349e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"pojdme", " ", "na", " ", "paralelni", " ", "razeni"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"ze", " ", "skript", " ", "vime"}], ",", " ", 
    RowBox[{
     RowBox[{"ze", " ", "plati", "  ", 
      FractionBox["1", 
       SubscriptBox["R", "vysledny"]]}], "=", 
     RowBox[{
      UnderoverscriptBox["\[Sum]", 
       RowBox[{"i", "=", "1"}], "n"], 
      RowBox[{
       FractionBox["1", 
        SubscriptBox["R", "i"]], " ", "pokud", " ", "mame", " ", "n", " ", 
       "rezistoru"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"odtud", " ", "snadno", " ", 
     SubscriptBox["R", "vysledny"]}], "=", 
    FractionBox["1", 
     RowBox[{
      UnderoverscriptBox["\[Sum]", 
       RowBox[{"i", "=", "1"}], "n"], 
      FractionBox["1", 
       SubscriptBox["R", "i"]]}]]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "dale", " ", "to", " ", "budeme", " ", "pouzivat", " ", "i", "  ", "pro", 
     " ", "impedance"}], ",", " ", 
    RowBox[{
    "ale", " ", "volat", " ", "to", " ", "ukazkove", " ", "budeme", " ", "na",
      " ", "list", " ", "impedanci", " ", 
     RowBox[{"{", 
      RowBox[{"R1", ",", "R2", ",", "R3"}], "}"}]}], ",", " ", 
    RowBox[{
    "rezistor", " ", "ma", " ", "impedanci", " ", "R", " ", "a", " ", "neni", 
     " ", "to", " ", "o", " ", "nic", " ", "horsi", " ", "soucastka", " ", 
     "nez", " ", "civka", " ", "nebo", " ", "kondenzator"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "pouziti", " ", "listImpedanci_List", " ", "je", " ", "pro", " ", "nase", 
     " ", "bezpeci"}], ",", " ", 
    RowBox[{
    "kdyz", " ", "tam", " ", "nedame", " ", "List", " ", "impedanci"}], ",", 
    " ", 
    RowBox[{"funkce", " ", "se", " ", "nevyhodnoti"}], ",", " ", 
    RowBox[{"obycejne", " ", 
     RowBox[{"par", "[", "listImpedanci_", "]"}], " ", "by", " ", "stacilo"}],
     ",", " ", 
    RowBox[{"ale", " ", "better", " ", "safe", " ", "than", " ", "sorry"}]}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "par", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"par", "[", "listImpedanci_List", "]"}], ":=", 
     SuperscriptBox[
      RowBox[{"Total", "[", 
       FractionBox["1", "listImpedanci"], "]"}], 
      RowBox[{"-", "1"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"vyzkousime", " ", "si", " ", "to"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"par", "[", 
    RowBox[{"{", 
     RowBox[{"R1", ",", "R2", ",", "R3"}], "}"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7965702041875*^9, 3.7965704441875*^9}, {
   3.796570535296875*^9, 3.796570605453125*^9}, 3.796570639609375*^9, {
   3.79657090696875*^9, 3.796570959546875*^9}, {3.7965714254375*^9, 
   3.7965714268125*^9}, {3.7969082554375*^9, 3.7969082869375*^9}},
 ExpressionUUID -> "b99c7bfe-2a7a-4053-a028-b9786ecd2d56"],

Cell[BoxData[
 FractionBox["1", 
  RowBox[{
   FractionBox["1", "R1"], "+", 
   FractionBox["1", "R2"], "+", 
   FractionBox["1", "R3"]}]]], "Output",
 CellChangeTimes->{3.7969699635625*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"proc", " ", "jsme", " ", "to", " ", "tak", " ", "mohli", " ", 
      RowBox[{"udelat", "?", " ", "Vzdyt"}], " ", "z", " ", "algebry", " ", 
      "vime"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"ze", " ", "\"\<vektorem delit nelze\>\""}], "..."}], " ", 
      "ale", " ", "List", " ", "je", " ", "datova", " ", "struktura"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{
       "kterou", " ", "nekdy", " ", "pouzivame", " ", "jako", " ", "vektor"}],
        "..."}], " ", "ale", " ", "jen", " ", 
      RowBox[{"nekdy", ":", "-"}]}]}], ")"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "podivejme", " ", "se", " ", "jak", " ", "Wolfram", " ", "interpretuje", 
     " ", "funkci", " ", "\"\<na minus prvou\>\""}], ",", " ", 
    RowBox[{
    "nebo", " ", "jinak", " ", "receno", " ", "\"\<jedna lomeno\>\""}]}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"FullForm", "[", 
   FractionBox["1", "x"], "]"}]}]], "Input",
 CellChangeTimes->{{3.796609728*^9, 3.79660974725*^9}, {3.79660981271875*^9, 
  3.79660996315625*^9}},
 ExpressionUUID -> "5ffb6eaf-f251-4cec-8a14-98c7f8516b41"],

Cell[BoxData[
 TagBox[
  StyleBox[
   RowBox[{"Power", "[", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1"}]}], "]"}],
   ShowSpecialCharacters->False,
   ShowStringCharacters->True,
   NumberMarks->True],
  FullForm]], "Output",
 CellChangeTimes->{3.796969963609375*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"funkce", " ", "ve", " ", "Wolframu", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"a", " ", "to", " ", "i", " ", "nami", " ", "zadefinovane"}], 
       ",", " ", 
       RowBox[{
       "pokud", " ", "si", " ", "s", " ", "tim", " ", "dame", " ", "praci", 
        " ", 
        RowBox[{"(", "SetAttributes", ")"}]}]}], ")"}], " ", "mohou", " ", 
     "mit", " ", "atributy"}], ",", " ", 
    RowBox[{"jakesi", " ", "prednastavene", " ", "vlastnosti"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "zjistime", " ", "je", " ", "v", " ", "Helpu", " ", "nebo", " ", "takto"}],
    "*)"}], "\[IndentingNewLine]", 
  RowBox[{"Attributes", "[", "Power", "]"}]}]], "Input",
 CellChangeTimes->{{3.79660997365625*^9, 3.796610066421875*^9}, {
  3.796908324890625*^9, 3.7969083370625*^9}},
 ExpressionUUID -> "e94f2ea8-14d8-4671-b79a-3d434c3dda39"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "Listable", ",", "NumericFunction", ",", "OneIdentity", ",", "Protected"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.796969963625*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "pro", " ", "nas", " ", "je", " ", "dulezity", " ", "atribut", " ", 
     "Listable"}], ",", " ", 
    RowBox[{"ktery", " ", "znamena"}], ",", " ", 
    RowBox[{
    "za", " ", "funkce", " ", "je", " ", "pouzitelna", " ", "na", " ", 
     "List"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"takove", " ", "funkce", " ", "nemusime", " ", "mapovat", " ", 
    RowBox[{"(", 
     RowBox[{"samosebou", " ", "muzeme"}], ")"}], " ", "a", " ", 
    RowBox[{"Sin", "/@", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c"}], "}"}]}], " ", "da", " ", "totez", 
    " ", "jako", " ", "proste", " ", 
    RowBox[{"Sin", "[", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c"}], "}"}], "]"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "tento", " ", "atribut", " ", "ma", " ", "pomerne", " ", "dost", " ", 
     "funkci"}], ",", " ", 
    RowBox[{
     RowBox[{"napr", ".", " ", "i"}], " ", "Plot", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
       "muzeme", " ", "zobrazovat", " ", "vice", " ", "vyrazu", " ", "v", " ",
         "jednom", " ", "grafu"}], ",", " ", 
       RowBox[{
       "kdyz", " ", "jsou", " ", "jako", " ", "prvni", " ", "parametr", " ", 
        "Plotu", " ", "v", " ", "Listu"}]}], ")"}], " ", "i", " ", "Sin", "  ",
      "a", " ", "mnohe", " ", "dalsi"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"{", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c"}], "}"}], 
     RowBox[{"-", "1"}]], ",", 
    RowBox[{"Sin", "[", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c"}], "}"}], "]"}], ",", 
    RowBox[{"Tan", "[", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c"}], "}"}], "]"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.796611122484375*^9, 3.796611243328125*^9}, {
   3.79661129803125*^9, 3.796611311796875*^9}, 3.796714317734375*^9, {
   3.79690836365625*^9, 3.7969083880625*^9}, {3.796968887171875*^9, 
   3.79696896946875*^9}},
 ExpressionUUID -> "06df1c1a-246c-4b58-b76f-f79ea57d6fe3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox["1", "a"], ",", 
     FractionBox["1", "b"], ",", 
     FractionBox["1", "c"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Sin", "[", "a", "]"}], ",", 
     RowBox[{"Sin", "[", "b", "]"}], ",", 
     RowBox[{"Sin", "[", "c", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Tan", "[", "a", "]"}], ",", 
     RowBox[{"Tan", "[", "b", "]"}], ",", 
     RowBox[{"Tan", "[", "c", "]"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.796969963640625*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"jasne", ",", " ", 
    RowBox[{"jde", " ", "to", " ", "napsat", " ", "i", " ", "jinak"}]}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "par", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"mapovani", " ", "funkce", " ", "Plus", " ", 
     RowBox[{"(", 
      RowBox[{"Plus", "@@"}], ")"}], " ", "zameni", " ", "hlavicku", " ", 
     RowBox[{"(", "Head", ")"}], " ", "vyrazu", " ", "List", " ", "za", " ", 
     "hlavicku", " ", "Plus", " ", "a", " ", "tedy", " ", "se", " ", 
     "provede", " ", "soucet"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"par", "[", "listImpedanci_List", "]"}], ":=", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"Plus", "@@", 
        RowBox[{"(", 
         SuperscriptBox["listImpedanci", 
          RowBox[{"-", "1"}]], ")"}]}], ")"}], 
      RowBox[{"-", "1"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"par", "[", 
    RowBox[{"{", 
     RowBox[{"R1", ",", "R2", ",", "R3"}], "}"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.796570512484375*^9, 3.796570530953125*^9}, {
  3.796570610765625*^9, 3.79657067653125*^9}, {3.796571420203125*^9, 
  3.796571421484375*^9}, {3.796968992*^9, 3.796969037875*^9}},
 ExpressionUUID -> "968bda6f-360a-41ba-acee-e52324d55e82"],

Cell[BoxData[
 FractionBox["1", 
  RowBox[{
   FractionBox["1", "R1"], "+", 
   FractionBox["1", "R2"], "+", 
   FractionBox["1", "R3"]}]]], "Output",
 CellChangeTimes->{3.796969963703125*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "stejne", " ", "zafunguje", " ", "i", " ", "vymena", " ", "hlavicky", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"nejvyssi", " ", "obdelnicek"}], ",", " ", 
       RowBox[{"pouzijete", "-", 
        RowBox[{"li", " ", "TreeForm"}]}]}], ")"}], " ", "pomoci", " ", 
     "pravidla", " ", "List"}], "\[Rule]", "Plus"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "par", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"par", "[", "listImpedanci_List", "]"}], ":=", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         SuperscriptBox["listImpedanci", 
          RowBox[{"-", "1"}]], ")"}], "/.", 
        RowBox[{"List", "\[Rule]", "Plus"}]}], ")"}], 
      RowBox[{"-", "1"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"par", "[", 
    RowBox[{"{", 
     RowBox[{"R1", ",", "R2", ",", "R3"}], "}"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.796969050203125*^9, 3.796969152234375*^9}}],

Cell[BoxData[
 FractionBox["1", 
  RowBox[{
   FractionBox["1", "R1"], "+", 
   FractionBox["1", "R2"], "+", 
   FractionBox["1", "R3"]}]]], "Output",
 CellChangeTimes->{3.796969963734375*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"nebo", " ", "vzdame"}], "-", 
      RowBox[{
      "li", " ", "se", " ", "omezeni", " ", "na", " ", "parametr", " ", 
       "typu", " ", "List"}]}], ",", " ", 
     RowBox[{"muzeme", " ", "pouzit", " ", "pure", " ", "functions"}], ",", 
     " ", 
     RowBox[{"syntaxe", " ", "spise", " ", "pro", " ", "mathematicke", " ", 
      RowBox[{"exhibicionisty", " ", ":", "-"}]}]}], ")"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "par", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"par", ":=", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"Plus", "@@", 
         RowBox[{"(", 
          SuperscriptBox["#", 
           RowBox[{"-", "1"}]], ")"}]}], ")"}], 
       RowBox[{"-", "1"}]], "&"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"par", "[", 
    RowBox[{"{", 
     RowBox[{"R1", ",", "R2", ",", "R3"}], "}"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.796570709078125*^9, 3.79657076365625*^9}, {
  3.796570797421875*^9, 3.796570825734375*^9}, {3.796571415015625*^9, 
  3.796571415921875*^9}},
 ExpressionUUID -> "1a3e6738-bb67-4e19-8570-84968777f553"],

Cell[BoxData[
 FractionBox["1", 
  RowBox[{
   FractionBox["1", "R1"], "+", 
   FractionBox["1", "R2"], "+", 
   FractionBox["1", "R3"]}]]], "Output",
 CellChangeTimes->{3.796969963765625*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"nebo", " ", "samosebou", " ", "take"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "par", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"par", ":=", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"Total", "[", 
        SuperscriptBox["#", 
         RowBox[{"-", "1"}]], "]"}], 
       RowBox[{"-", "1"}]], "&"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"par", "[", 
    RowBox[{"{", 
     RowBox[{"R1", ",", "R2", ",", "R3"}], "}"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.79657083075*^9, 3.796570874703125*^9}, {
  3.796571411234375*^9, 3.796571412125*^9}},
 ExpressionUUID -> "93699684-9031-4857-802b-7e4cbdbd797f"],

Cell[BoxData[
 FractionBox["1", 
  RowBox[{
   FractionBox["1", "R1"], "+", 
   FractionBox["1", "R2"], "+", 
   FractionBox["1", "R3"]}]]], "Output",
 CellChangeTimes->{3.7969699638125*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"jasne", ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"jde", " ", "to", " ", "napsat", " ", "i", " ", "jinak"}], 
       "..."}], " ", "ale", " ", "to", " ", "je", " ", "uz", " ", "spise", 
      " ", 
      RowBox[{"exhibice", ":", "-"}]}]}], ")"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "par", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"par", "[", "listImpedanci_List", "]"}], ":=", 
     FractionBox[
      RowBox[{"HarmonicMean", "[", "listImpedanci", "]"}], 
      RowBox[{"Length", "[", "listImpedanci", "]"}]]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"par", "[", 
    RowBox[{"{", 
     RowBox[{"R1", ",", "R2", ",", "R3"}], "}"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.796722219453125*^9, 3.7967222686875*^9}},
 ExpressionUUID -> "29a5e560-9ad6-4cf1-82f3-7ddb3a123843"],

Cell[BoxData[
 FractionBox["1", 
  RowBox[{
   FractionBox["1", "R1"], "+", 
   FractionBox["1", "R2"], "+", 
   FractionBox["1", "R3"]}]]], "Output",
 CellChangeTimes->{3.796969963828125*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "pro", " ", "nenapravitelne", " ", "proceduralni", " ", "programatory", 
     " ", "takhle"}], ",", " ", 
    RowBox[{"slo", " ", "by", " ", "to", " ", "i", " ", "s", " ", "cykly"}], 
    ",", " ", 
    RowBox[{
    "ale", " ", "nejsem", " ", "az", " ", "zas", " ", "tak", " ", 
     "masochista"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "par", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"par", "[", "listImpedanci_List", "]"}], ":=", 
     SuperscriptBox[
      RowBox[{"Sum", "[", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"listImpedanci", "[", 
          RowBox[{"[", "i", "]"}], "]"}], 
         RowBox[{"-", "1"}]], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", 
          RowBox[{"Length", "[", "listImpedanci", "]"}]}], "}"}]}], "]"}], 
      RowBox[{"-", "1"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"par", "[", 
    RowBox[{"{", 
     RowBox[{"R1", ",", "R2", ",", "R3"}], "}"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.796571358734375*^9, 3.796571405078125*^9}, {
  3.796714364125*^9, 3.796714387421875*^9}},
 ExpressionUUID -> "ab811524-204d-405a-a9bd-9efc2f18cf69"],

Cell[BoxData[
 FractionBox["1", 
  RowBox[{
   FractionBox["1", "R1"], "+", 
   FractionBox["1", "R2"], "+", 
   FractionBox["1", "R3"]}]]], "Output",
 CellChangeTimes->{3.796969963875*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"pojdme", " ", "na", " ", "seriove", " ", "razeni"}], ",", " ", 
    RowBox[{"tady", " ", "je", " ", "to", " ", "snazsi"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"plati", " ", "jednoduche", " ", 
     SubscriptBox["R", "celk"]}], "==", 
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"i", "=", "1"}], "n"], 
     SubscriptBox["R", "i"]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"ukazme", " ", "si", " ", "to"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "ser", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ser", "[", "listImpedanci_List", "]"}], ":=", 
     RowBox[{"Total", "[", "listImpedanci", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"a", " ", "vyzkousime", " ", "si", " ", "to"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"ser", "[", 
    RowBox[{"{", 
     RowBox[{"R1", ",", "R2", ",", "R3"}], "}"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.796570965125*^9, 3.79657109203125*^9}, {
   3.79657143665625*^9, 3.79657144246875*^9}, 3.796969204828125*^9},
 ExpressionUUID -> "1595b1f9-19d9-4d36-afc9-cf1928fd5bc3"],

Cell[BoxData[
 RowBox[{"R1", "+", "R2", "+", "R3"}]], "Output",
 CellChangeTimes->{3.796969963921875*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"jasne", ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"jde", " ", "to", " ", "napsat", " ", "i", " ", "jinak"}], 
       "..."}], " ", "ale", " ", "to", " ", "je", " ", "uz", " ", "spise", 
      " ", 
      RowBox[{"exhibice", ":", "-"}]}]}], ")"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "ser", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ser", "[", "listImpedanci_List", "]"}], ":=", 
     RowBox[{
      RowBox[{"Mean", "[", "listImpedanci", "]"}], "*", 
      RowBox[{"Length", "[", "listImpedanci", "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"ser", "[", 
    RowBox[{"{", 
     RowBox[{"R1", ",", "R2", ",", "R3"}], "}"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.79672231509375*^9, 3.7967223414375*^9}},
 ExpressionUUID -> "6c9039a5-c00b-449e-b0ff-20158b4c559a"],

Cell[BoxData[
 RowBox[{"R1", "+", "R2", "+", "R3"}]], "Output",
 CellChangeTimes->{3.79696996396875*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "pro", " ", "nenapravitelne", " ", "proceduralni", " ", "programatory", 
    " ", "takhle"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "ser", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ser", "[", "listImpedanci_List", "]"}], ":=", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{"listImpedanci", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "listImpedanci", "]"}]}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"ser", "[", 
    RowBox[{"{", 
     RowBox[{"R1", ",", "R2", ",", "R3"}], "}"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.79657112640625*^9, 3.796571195765625*^9}, {
  3.7965714501875*^9, 3.796571451421875*^9}, {3.79672248559375*^9, 
  3.796722496078125*^9}},
 ExpressionUUID -> "54819f4d-498d-4ca9-9843-04237341f871"],

Cell[BoxData[
 RowBox[{"R1", "+", "R2", "+", "R3"}]], "Output",
 CellChangeTimes->{3.796969963984375*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "radeji", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "ser", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ser", ":=", 
     RowBox[{
      RowBox[{"Plus", "@@", "#"}], "&"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"ser", "[", 
    RowBox[{"{", 
     RowBox[{"R1", ",", "R2", ",", "R3"}], "}"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.796571199640625*^9, 3.79657123709375*^9}, {
  3.796571455078125*^9, 3.796571456015625*^9}},
 ExpressionUUID -> "359e81cb-8972-4f3c-97ea-0cf68be77c97"],

Cell[BoxData[
 RowBox[{"R1", "+", "R2", "+", "R3"}]], "Output",
 CellChangeTimes->{3.796969964*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"nebo", " ", "jinak"}], ",", " ", 
    RowBox[{"asi", " ", "nejmathematicteji"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "ser", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ser", ":=", "Total"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"ser", "[", 
    RowBox[{"{", 
     RowBox[{"R1", ",", "R2", ",", "R3"}], "}"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.79657124734375*^9, 3.796571271609375*^9}, {
  3.796571458953125*^9, 3.796571460359375*^9}, {3.7965717064375*^9, 
  3.7965717139375*^9}},
 ExpressionUUID -> "cb0445a1-9b3a-4cae-852a-37f41dee8e08"],

Cell[BoxData[
 RowBox[{"R1", "+", "R2", "+", "R3"}]], "Output",
 CellChangeTimes->{3.796969964015625*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"je", " ", "uplne", " ", "jedno"}], ",", " ", 
   RowBox[{"kterou", " ", "syntaxi", " ", "budete", " ", "pouzivat"}], ",", 
   " ", 
   RowBox[{"pokud", " ", "to", " ", "budete", " ", "delat", " ", "dobre"}]}], 
  "*)"}]], "Input",
 CellChangeTimes->{{3.796908455015625*^9, 3.79690848396875*^9}}]
},
WindowSize->{1068, 641},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
PrivateNotebookOptions -> {
 "VersionedStylesheet" -> {"Default.nb"[8.] -> False}},
Magnification->1.6000001430511475`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 389, 10, 103, "Input"],
Cell[950, 32, 3035, 68, 355, "Input"],
Cell[CellGroupData[{
Cell[4010, 104, 3030, 78, 499, "Input"],
Cell[7043, 184, 190, 6, 79, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7270, 195, 1219, 30, 214, "Input"],
Cell[8492, 227, 270, 10, 65, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8799, 242, 937, 23, 159, "Input"],
Cell[9739, 267, 177, 5, 45, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9953, 277, 2127, 55, 247, "Input"],
Cell[12083, 334, 572, 18, 66, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12692, 357, 1361, 32, 195, "Input"],
Cell[14056, 391, 192, 6, 79, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14285, 402, 1099, 30, 195, "Input"],
Cell[15387, 434, 192, 6, 79, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15616, 445, 1244, 34, 167, "Input"],
Cell[16863, 481, 192, 6, 79, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17092, 492, 743, 21, 139, "Input"],
Cell[17838, 515, 190, 6, 79, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18065, 526, 948, 26, 166, "Input"],
Cell[19016, 554, 192, 6, 79, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19245, 565, 1263, 34, 195, "Input"],
Cell[20511, 601, 189, 6, 79, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20737, 612, 1283, 34, 215, "Input"],
Cell[22023, 648, 105, 2, 45, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22165, 655, 941, 26, 131, "Input"],
Cell[23109, 683, 104, 2, 45, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23250, 690, 981, 26, 131, "Input"],
Cell[24234, 718, 105, 2, 45, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[24376, 725, 591, 15, 131, "Input"],
Cell[24970, 742, 99, 2, 45, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25106, 749, 690, 18, 131, "Input"],
Cell[25799, 769, 105, 2, 45, "Output"]
}, Open  ]],
Cell[25919, 774, 348, 8, 75, "Input"]
}
]
*)

