(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     36967,        956]
NotebookOptionsPosition[     35922,        923]
NotebookOutlinePosition[     36407,        942]
CellTagsIndexPosition[     36364,        939]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Quiet", "@", 
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"SetDirectory", "[", 
    RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "co", " ", "znamena", " ", "ser", " ", "a", " ", "par", " ", "viz", " ", 
    "jine", " ", "notebooky", " ", "a", " ", "skripta", " ", "CAO"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"par", ":=", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"Total", "[", 
      SuperscriptBox["#", 
       RowBox[{"-", "1"}]], "]"}], 
     RowBox[{"-", "1"}]], "&"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ser", ":=", "Total"}], ";"}]}], "Input",
 CellChangeTimes->{{3.7969087915*^9, 3.796908800328125*^9}, {
  3.7969089684375*^9, 3.796909024625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"jde", " ", "nam", " ", "o", " ", "princip"}], ",", " ", 
    RowBox[{
    "takze", " ", "dame", " ", "klidne", " ", "hodnoty", " ", "soucastek", 
     " ", "do", " ", "globalnich", " ", "promennych"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"syntaxi", " ", 
     RowBox[{"{", 
      RowBox[{"R1", ",", "R2", ",", "R3"}], "}"}]}], "=", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "1"}], "}"}], " ", "jen", " ", "setrime", 
     " ", "radky", " ", "a", " ", 
     RowBox[{"N", "@", " ", "dela"}], " ", "cisla", " ", "typu", " ", "Real", 
     " ", "se", " ", "kterymi", " ", "programy", " ", "zpravidla", " ", 
     "pocitaji", " ", "nejrychleji"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"R1", ",", "R2", ",", "R3"}], "}"}], "=", 
     RowBox[{"N", "@", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "1"}], "}"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"C1", ",", "C2", ",", "C3"}], "}"}], "=", 
     RowBox[{
      SuperscriptBox["10", 
       RowBox[{"-", "6"}]], "*", 
      RowBox[{"N", "@", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1", ",", "1"}], "}"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"L1", ",", "L2", ",", "L3"}], "}"}], "=", 
     RowBox[{
      SuperscriptBox["10", 
       RowBox[{"-", "3"}]], "*", 
      RowBox[{"N", "@", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1", ",", "1"}], "}"}]}]}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.79690903675*^9, 3.7969092589375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "udelame", " ", "si", " ", "impedance", " ", "podle", " ", "obrazku"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "tohle", " ", "je", " ", "podstatne", " ", "a", " ", "to", " ", "proto"}],
     ",", " ", 
    RowBox[{
    "ze", " ", "tohle", " ", "byste", " ", "fakt", " ", "meli", " ", "umet", 
     " ", "v", " ", "dalsich", " ", "predmetech"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"nejen", " ", "v", " ", "elektrickych", " ", "obvodech"}], 
      "..."}], " ", "vedet", " ", "jak", " ", "udelat", " ", "vyslednou", " ",
      "impedanci", " ", "by", " ", "elektrotechnik", " ", "mel", " ", 
     "umet"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"v", " ", "obrazku", " ", "je", " ", "barevne", " ", "odliseno"}],
     ",", " ", 
    RowBox[{"co", " ", "minime", " ", "impedanci", " ", "za"}], ",", " ", 
    "zb", ",", "zc", ",", "zd", ",", 
    RowBox[{
     RowBox[{"ze", "..."}], " ", "pokud", " ", "to", " ", "nevidite"}], ",", 
    " ", 
    RowBox[{"pak", " ", "my", " ", "neco", " ", "delame", " ", "spatne"}], 
    ",", " ", 
    RowBox[{
    "prosim", " ", "napiste", " ", "nam", " ", "a", " ", "zkusime", " ", "to",
      " ", "vysvetlit", " ", "lepe"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"za", "=", 
     RowBox[{"ser", "[", 
      RowBox[{"{", 
       RowBox[{"R1", ",", 
        RowBox[{"I", "*", "\[Omega]", "*", "L1"}]}], "}"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"zb", "=", 
     RowBox[{"par", "[", 
      RowBox[{"{", 
       RowBox[{
        FractionBox["1", 
         RowBox[{"I", "*", "\[Omega]", "*", "C1"}]], ",", "za"}], "}"}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"zc", "=", 
     RowBox[{"ser", "[", 
      RowBox[{"{", 
       RowBox[{"zb", ",", "R2", ",", 
        RowBox[{"I", "*", "\[Omega]", "*", "L2"}], ",", 
        FractionBox["1", 
         RowBox[{"I", "*", "\[Omega]", "*", "C2"}]]}], "}"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"zd", "=", 
     RowBox[{"ser", "[", 
      RowBox[{"{", 
       RowBox[{"R3", ",", 
        RowBox[{"I", "*", "\[Omega]", "*", "L3"}]}], "}"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ze", "=", 
     RowBox[{"par", "[", 
      RowBox[{"{", 
       RowBox[{"zd", ",", 
        FractionBox["1", 
         RowBox[{"I", "*", "\[Omega]", "*", "C3"}]]}], "}"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"z", "=", 
     RowBox[{"par", "[", 
      RowBox[{"{", 
       RowBox[{"zc", ",", "ze"}], "}"}], "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.7969092996875*^9, 3.79690953715625*^9}, {
  3.79691322346875*^9, 3.796913302328125*^9}, {3.796914724890625*^9, 
  3.796914818171875*^9}, {3.79691740996875*^9, 3.79691741221875*^9}, {
  3.79697014771875*^9, 3.7969701571875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "budeme", " ", "delat", " ", "vice", " ", "grafu", " ", "a", " ", 
     "kdybychom", " ", "pokazde", " ", "nastavovali", " ", "rozsah", " ", 
     "omega"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
       "museli", " ", "bychom", " ", "to", " ", "u", " ", "kazdeho", " ", 
        "Plotu", " ", "nastavovat", " ", "znovu"}], "..."}], " ", "radeji", 
      " ", "si", " ", "zavedeme", " ", "globalni", " ", "promenne", " ", 
      "\[Omega]Min", " ", "a", " ", "\[Omega]Max", " ", "a", " ", "promennou",
       " ", "obor"}], "=", 
     RowBox[{"{", 
      RowBox[{"\[Omega]", ",", "\[Omega]Min", ",", "\[Omega]Max"}], "}"}]}]}],
    "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "jelikoz", " ", "jedna", " ", "z", " ", "Attributes", " ", "funkce", " ", 
     "Plot", " ", "je", " ", "HoldAll"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
        "musime", " ", "promennou", " ", "\"\<obor\>\"", " ", "pouzivat", " ",
          "jako", " ", 
         RowBox[{"Evaluate", "@", "obor"}]}], "..."}], 
       RowBox[{"(", 
        RowBox[{"jasne", ",", " ", 
         RowBox[{
          RowBox[{"Evaluate", "@", "obor"}], " ", "je", " ", "to", " ", 
          "same"}], ",", " ", 
         RowBox[{"jako", " ", 
          RowBox[{"Evaluate", "[", "obor", "]"}]}], ",", " ", 
         RowBox[{"jen", " ", "je", " ", "to", " ", "mene", " ", "psani"}]}], 
        ")"}], " ", "tedy", " ", "ze", " ", "se", " ", "ma", " ", "promenna", 
       " ", "\"\<obor\>\"", " ", "vyhodnotit", " ", "a", " ", "ne", " ", 
       "jen", " ", "brat", " ", "litralne", " ", "jako", " ", 
       "\"\<obor\>\""}], " ", "..."}], " ", "kdyby", " ", "funkce", " ", 
     "Plot", " ", "nemela", " ", "atribut", " ", "HoldAll"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
      "vyhodnocovaly", " ", "by", " ", "se", " ", "vsechny", " ", "jeji", " ",
        "parametry", " ", "pred", " ", "vyhodnocenim", " ", "funkce", " ", 
       "a", " ", "nebylo", " ", "by", " ", "tedy", " ", 
       RowBox[{"Evaluate", "@", "obor"}], " ", "treba"}], "..."}], " ", "ale",
      " ", "to", " ", "je", " ", "pro", " ", "fajnsmekry"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"nicmene", " ", "v", " ", "ramci", " ", "VYA", " ", "chceme"}], 
    ",", " ", 
    RowBox[{
    "abyste", " ", "to", " ", "byli", " ", "schopni", " ", "vyplotit", " ", 
     "a", " ", "exportovat", " ", "a", " ", "jak", " ", "se", " ", "k", " ", 
     "tomu", " ", "dostanete"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"neni", " ", "dulezite"}], "..."}], " ", "ale", " ", "nekomu", 
     " ", "by", " ", "se", " ", "tento", " ", "postup", " ", "mozna", " ", 
     "v", " ", "budoucnu", " ", "mohl", " ", "hodit"}]}], "*)"}]}]], "Input",
 CellChangeTimes->{{3.7969101665625*^9, 3.79691017171875*^9}, {
  3.79691023659375*^9, 3.796910272546875*^9}, {3.796910355671875*^9, 
  3.7969104146875*^9}, {3.796911121890625*^9, 3.79691117615625*^9}, {
  3.79691285315625*^9, 3.796913192734375*^9}, {3.796914839140625*^9, 
  3.796914897390625*^9}, {3.79691495228125*^9, 3.796914959765625*^9}, {
  3.7969174873125*^9, 3.796917494328125*^9}, {3.79691825153125*^9, 
  3.79691826990625*^9}, {3.79697036359375*^9, 3.79697039809375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Omega]Min", "=", 
   RowBox[{"9", "*", 
    SuperscriptBox["10", "3"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]Max", "=", 
   RowBox[{"1", "*", 
    SuperscriptBox["10", "5"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"obor", "=", 
    RowBox[{"{", 
     RowBox[{"\[Omega]", ",", "\[Omega]Min", ",", "\[Omega]Max"}], "}"}]}], 
   ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"absolutni", " ", "hodnota", " ", 
     RowBox[{"(", "Abs", ")"}], " ", "je", " ", "cosi", " ", "jako", " ", 
     "\"\<velikost\>\""}], ",", " ", 
    RowBox[{"kdyby", " ", "slo", " ", 
     RowBox[{"napr", ".", " ", "o"}], " ", "proud"}], ",", " ", 
    RowBox[{"ktery", " ", "tece", " ", "vasim", " ", "telem"}], ",", " ", 
    RowBox[{"na", " ", "Abs", " ", "by", " ", "zaviselo"}], ",", " ", 
    RowBox[{"jak", " ", "to", " ", "s", " ", "vami", " ", "trese"}], ",", " ", 
    RowBox[{"faze", " ", 
     RowBox[{"(", "Arg", ")"}]}], ",", " ", 
    RowBox[{"imaginarni", " ", 
     RowBox[{"(", "Im", ")"}], " ", "a", " ", "realne", " ", 
     RowBox[{"(", "Re", ")"}], " ", "slozka", " ", "by", " ", "vas", " ", 
     "nezajimala"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"faze", " ", "by", " ", "vas", " ", "zajimala"}], ",", " ", 
    RowBox[{"kdyby", " ", "vami", " ", "trasly", " ", 
     StyleBox["dva",
      FontSlant->"Italic"], " ", "proudy"}], ",", " ", 
    RowBox[{"pokud", " ", "by", " ", "mely", " ", "stejny", " ", "Arg"}], ",",
     " ", 
    RowBox[{"treseni", " ", "by", " ", "se", " ", "scitalo"}], ",", " ", 
    RowBox[{
    "pokud", " ", "by", " ", "rozdil", " ", "Arg", " ", "byl", " ", "lichy", 
     " ", "nasobek", " ", "Pi"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
      "tak", " ", "by", " ", "se", " ", "pri", " ", "stejne", " ", 
       "amplitude", " ", "ucinky", " ", "vyrusily"}], "..."}], " ", "ale", 
     " ", "to", " ", "jen", " ", "pro", " ", "zajimavost"}]}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"plAbs", "=", 
  RowBox[{"LogLogPlot", "[", 
   RowBox[{
    RowBox[{"Abs", "[", "z", "]"}], ",", 
    RowBox[{"Evaluate", "@", "obor"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\[Omega][\!\(\*SuperscriptBox[\(s\), \(-1\)]\)]\>\"", ",", 
       "\"\<Abs[Z] [\[CapitalOmega]]\>\""}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Blue", ",", 
       RowBox[{"Thickness", "[", "0.005", "]"}]}], "}"}]}], ",", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"PlotPoints", "\[Rule]", "500"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.796909624828125*^9, 3.796909682703125*^9}, {
  3.79690972946875*^9, 3.79690974321875*^9}, {3.796909781234375*^9, 
  3.796909788*^9}, {3.79690982109375*^9, 3.796909835515625*^9}, {
  3.79691018015625*^9, 3.796910195921875*^9}, {3.7969109310625*^9, 
  3.796910936390625*^9}, {3.796914955265625*^9, 3.796914956609375*^9}, {
  3.796918294921875*^9, 3.79691858590625*^9}, {3.79691862009375*^9, 
  3.796918624015625*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"uloha", ",", " ", 
   RowBox[{"kterou", " ", "brzy", " ", "dostanete"}], ",", " ", 
   RowBox[{"bude", " ", "o", " ", "podobnych", " ", "grafech"}]}], 
  "*)"}]], "Input",
 CellChangeTimes->{{3.79691528646875*^9, 3.796915325515625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"muze", " ", "nas", " ", "zajimat", " ", "i", " ", 
     RowBox[{"Im", "[", "z", "]"}]}], ",", " ", 
    RowBox[{
    "napriklad", " ", "v", " ", "elektroenergetice", " ", "souvisi", " ", "s",
      " ", 
     RowBox[{"tzv", ".", " ", "jalovym"}], " ", "vykonem"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"jelikoz", " ", 
     RowBox[{"Im", "[", "z", "]"}], " ", "nabyva", " ", "i", " ", "zapornych",
      " ", "hodnot"}], ",", " ", 
    RowBox[{"nemuzeme", " ", "pouzit", " ", "LogLogPlot"}], ",", " ", 
    RowBox[{
    "logaritmus", " ", "zaporneho", " ", "cisla", " ", "je", " ", "cislo", 
     " ", "komplexni", " ", "s", " ", "nenulovou", " ", "imaginarni", " ", 
     "casti", " ", "a", " ", "tedy", " ", "v", " ", "2", "D", " ", "grafu", 
     " ", "nezobrazitelne"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"plIm", "=", 
   RowBox[{"LogLinearPlot", "[", 
    RowBox[{
     RowBox[{"Im", "[", "z", "]"}], ",", 
     RowBox[{"Evaluate", "@", "obor"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<\[Omega][\!\(\*SuperscriptBox[\(s\), \(-1\)]\)]\>\"", ",", 
        "\"\<Im[Z] [\[CapitalOmega]]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Magenta", ",", 
        RowBox[{"Thickness", "[", "0.005", "]"}]}], "}"}]}], ",", 
     RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"PlotPoints", "\[Rule]", "500"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.79690999165625*^9, 3.79691004178125*^9}, 
   3.796910211828125*^9, {3.79691029125*^9, 3.79691029490625*^9}, {
   3.7969109436875*^9, 3.796910945265625*^9}, {3.7969175833125*^9, 
   3.796917625015625*^9}, {3.796970423953125*^9, 3.79697047984375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"muze", " ", "nas", " ", "zajimat", " ", "i", " ", 
     RowBox[{"Re", "[", "z", "]"}]}], ",", " ", 
    RowBox[{
    "napriklad", " ", "v", " ", "elektroenergetice", " ", "souvisi", " ", "s",
      " ", 
     RowBox[{"tzv", ".", " ", "cinnym"}], " ", "vykonem"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "zde", " ", "bychom", " ", "mohli", " ", "pouzit", " ", "LogLogPlot"}], 
    ",", " ", 
    RowBox[{
    "v", " ", "obvodech", " ", "bez", " ", "rizenych", " ", "zdroju", " ", 
     "nemuze", " ", "byt", " ", "realna", " ", "cat", " ", "impedance", " ", 
     "zaporna"}], ",", " ", 
    RowBox[{
    "bylo", " ", "by", " ", "to", " ", "proti", " ", "termodynamice"}]}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"plRe", "=", 
   RowBox[{"LogLinearPlot", "[", 
    RowBox[{
     RowBox[{"Re", "[", "z", "]"}], ",", 
     RowBox[{"Evaluate", "@", "obor"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<\[Omega][\!\(\*SuperscriptBox[\(s\), \(-1\)]\)]\>\"", ",", 
        "\"\<Re[Z] [\[CapitalOmega]]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Green", ",", 
        RowBox[{"Thickness", "[", "0.005", "]"}]}], "}"}]}], ",", 
     RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"PlotPoints", "\[Rule]", "500"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.79691012465625*^9, 3.7969101449375*^9}, 
   3.79691021753125*^9, {3.796910300890625*^9, 3.79691030109375*^9}, {
   3.796910950984375*^9, 3.7969109531875*^9}, {3.7969176404375*^9, 
   3.79691765440625*^9}, {3.796970504625*^9, 3.796970558125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
     "Arg", " ", "nam", " ", "rika", " ", "\"\<fazi\>\"", " ", "napeti"}], 
     ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"byla", "-", 
        RowBox[{
        "li", " ", "by", " ", "faze", " ", "prochazejiciho", " ", "proudu", 
         " ", "nulova"}]}], "..."}], " ", "je", " ", "to", " ", "dost", " ", 
      "dulezite"}], ",", " ", 
     RowBox[{"pokud", " ", "navrhujete", " ", "audiosystemy"}], ",", " ", 
     RowBox[{"coz", " ", "neni", " ", "obsah", " ", "EEM"}], ",", " ", 
     RowBox[{
     "takze", " ", "se", " ", "klidne", " ", "se", " ", "zatim", " ", "na", 
      " ", "pochopeni", " ", "\"\<faze\>\"", " ", "vykaslete"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{
       "budou", " ", "to", " ", "po", " ", "vas", " ", "chtit", " ", 
        "kolegove", " ", "v", " ", "jinych", " ", "predmetech"}], "..."}], 
      "ale", " ", "takhle", " ", "ji", " ", "vypocitate"}], ",", " ", 
     RowBox[{"at", " ", "uz", " ", "\"\<faze\>\"", " ", "znamena", " ", 
      RowBox[{"cokoli", " ", ":", "-"}]}]}], ")"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"plArg", "=", 
   RowBox[{"LogLinearPlot", "[", 
    RowBox[{
     RowBox[{"Arg", "[", "z", "]"}], ",", 
     RowBox[{"Evaluate", "@", "obor"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<\[Omega][\!\(\*SuperscriptBox[\(s\), \(-1\)]\)]\>\"", ",", 
        "\"\<Arg[Z] [radian]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Brown", ",", 
        RowBox[{"Thickness", "[", "0.005", "]"}]}], "}"}]}], ",", 
     RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"PlotPoints", "\[Rule]", "500"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.79691007040625*^9, 3.796910087328125*^9}, 
   3.796910223109375*^9, {3.796910306734375*^9, 3.796910312234375*^9}, {
   3.796910961671875*^9, 3.79691096784375*^9}, {3.796917664078125*^9, 
   3.796917828453125*^9}, {3.79691868278125*^9, 3.7969187101875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "tady", " ", "uz", " ", "zase", " ", "zaciname", " ", "pro", " ", "ty"}], 
    ",", " ", 
    RowBox[{
    "kteri", " ", "nemaji", " ", "jen", " ", "primarni", " ", "zajem", " ", 
     "dokoncit", " ", "VYA", " ", 
     RowBox[{"(", 
      RowBox[{"to", " ", "pro", " ", "ne", " ", "nebude", " ", "problem"}], 
      ")"}]}], ",", " ", 
    RowBox[{
     RowBox[{
     "ale", " ", "chteli", " ", "by", " ", "se", " ", "naucit", " ", "neco", 
      " ", "malinko", " ", "navic", " ", "a", " ", "malinko", " ", "navic", 
      " ", "porozumet", " ", "nasim", " ", "modelum", " ", "sveta"}], 
     "..."}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "v", " ", "nasledujicim", " ", "si", " ", "najdeme", " ", "omegy"}], ",", 
    " ", 
    RowBox[{"pro", " ", "ktere", " ", "je", " ", 
     RowBox[{"Im", "[", "z", "]"}], " ", "nulove"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"v", " ", "teorii", " ", "rizeni"}], ",", " ", 
    RowBox[{
     RowBox[{"obvodu", "..."}], " ", "a", " ", "leckde", " ", "tyto", " ", 
     "omegy", " ", "maji", " ", "zvlastni", " ", "vyznam", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"napr", ".", " ", "pro"}], " ", "pojem", " ", 
       StyleBox["rezonance",
        FontSlant->"Italic"]}], ")"}]}], ",", " ", 
    RowBox[{
    "ale", " ", "ten", " ", "nechame", " ", "kolegum", " ", "z", " ", 
     "prislusnych", " ", "kateder"}], ",", " ", 
    RowBox[{
    "tady", " ", "si", " ", "jen", " ", "ony", " ", "body", " ", 
     "zobrazime"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "reseni", " ", "nulovosti", " ", "imaginarni", " ", "casti", " ", 
    "impedance", " ", "najdeme", " ", "pomoci", " ", 
    RowBox[{"FindRoot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Im", "[", "z", "]"}], "\[Equal]", "0"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Omega]", ",", "startOmega"}], "}"}]}], "]"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "kde", " ", "startOmega", " ", "je", " ", "startovaci", " ", "hodnota"}], 
    ",", " ", 
    RowBox[{
    "od", " ", "ktere", " ", "zacine", " ", "numericka", " ", "metoda", " ", 
     "hledat", " ", "koren", " ", "prislusne", " ", "rovnice"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"jelikoz", " ", "kdyz", " ", "je", " ", "reseni", " ", "vice"}], 
    ",", "  ", 
    RowBox[{
    "koren", " ", "nalezeny", " ", "numerickou", " ", "metodou", " ", 
     "zalezi", " ", "na", " ", "pocatecni", " ", "hodnote", " ", "hledani"}], 
    ",", " ", 
    RowBox[{
    "udelame", " ", "si", " ", "tedy", " ", "funkci", " ", "a", " ", "tu", 
     " ", "pak", " ", "pouzijeme", " ", "na", " ", "vhodne", " ", "zvolene", 
     " ", "startovaci", " ", "body"}], ",", " ", 
    RowBox[{
    "abychom", " ", "nasli", " ", "vsechna", " ", "resemi", " ", "na", " ", 
     "nami", " ", "zvolenem", " ", "intervalu", " ", 
     RowBox[{"{", 
      RowBox[{"\[Omega]Min", ",", "\[Omega]Max"}], "}"}]}]}], 
   "*)"}]}]], "Input",
 CellChangeTimes->{{3.796915342453125*^9, 3.79691572075*^9}, 
   3.79691787496875*^9, {3.7969187295*^9, 3.796918763421875*^9}, {
   3.796918803046875*^9, 3.79691881534375*^9}, {3.7969706043125*^9, 
   3.796970651484375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "funkce", " ", "nulaIm", " ", "ma", " ", "za", " ", "parametr", " ", 
    "pocatecni", " ", "bod", " ", 
    RowBox[{"(", "startOmega", ")"}], " ", "hledani", " ", "korene"}], "*)"}],
   "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"nulaIm", "[", "startOmega_", "]"}], ":=", 
     RowBox[{"\[Omega]", "/.", 
      RowBox[{"Quiet", "@", 
       RowBox[{"FindRoot", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Im", "[", "z", "]"}], "\[Equal]", "0"}], ",", 
         RowBox[{"{", 
          RowBox[{"\[Omega]", ",", "startOmega"}], "}"}]}], "]"}]}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "funkce", " ", "starts", " ", "vyda", " ", "exponencielne", " ", 
      "rozlozene", " ", "body", " ", "mezi", " ", "\[Omega]Min"}], ",", 
     RowBox[{"\[Omega]Max", " ", "vcetne"}], ",", " ", 
     RowBox[{
     "parametr", " ", "n_Integer", " ", "rika", " ", "kolik", " ", "bodu"}]}],
     "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"reseniPom", "=", 
      RowBox[{
       RowBox[{"nulaIm", "/@", 
        RowBox[{"starts", "[", 
         StyleBox["150",
          FontColor->RGBColor[1, 0, 0]], "]"}]}], "//", 
       RowBox[{
       "Union", " ", "funkce", " ", "starts", " ", "ma", " ", "parametr", " ",
         "150", " ", "proste", " ", "ze", " ", "uz", " ", "jsem", " ", 
        "videl"}]}]}], ",", 
     RowBox[{
     "ze", " ", "150", " ", "staci", " ", "a", " ", "dostanu", " ", "vsechny",
       " ", "koreny"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "vyzkousejte", " ", "si", " ", "zavolat", " ", "funkci", " ", "start", 
     " ", "na", " ", "ruzne", " ", "celociselne", " ", "parametry"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "exponencialni", " ", "rozlozeni", " ", "frekvenci", " ", "je", " ", 
      "pomerne", " ", "caste"}], ",", " ", 
     RowBox[{
     "klavesnice", " ", "klaviru", " ", "vypada", " ", "\"\<linearne\>\""}], 
     ",", " ", 
     RowBox[{
     "ale", " ", "frekvence", " ", "o", " ", "oktavu", " ", "vyssiho", " ", 
      "tonu", " ", "je", " ", "dvakrat", " ", "vetsi", " ", "a", " ", "jde", 
      " ", "tedy", " ", "o", " ", "exponencialni", " ", "rozlozeni"}]}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "ze", " ", "se", " ", "to", " ", "da", " ", "napsat", " ", "takhle"}], 
     ",", " ", 
     RowBox[{
     "je", " ", "spise", " ", "vec", " ", "teorie", " ", "geometrickych", " ",
       "posloupnosti"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"starts", "[", "n_Integer", "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", "q", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"q", "=", 
         RowBox[{"N", "@", 
          RadicalBox[
           FractionBox["\[Omega]Max", "\[Omega]Min"], "n"]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"\[Omega]Min", "*", 
           SuperscriptBox["q", "#"]}], "&"}], "/@", 
         RowBox[{"Range", "[", 
          RowBox[{"0", ",", "n"}], "]"}]}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"najde", " ", "reseni", " ", "pro", " ", 
     RowBox[{"starts", "[", "150", "]"}], " ", "pocatecni", " ", "hodnoty", 
     " ", "hledani"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"reseniPom", "=", 
     RowBox[{
      RowBox[{"nulaIm", "/@", 
       RowBox[{"starts", "[", "150", "]"}]}], "//", "Union"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "vybere", " ", "jen", " ", "ty", " ", "v", " ", "uvazovanem", " ", 
     "oboru", " ", "hodnot", " ", "\[Omega]"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"vOboru", "=", 
    RowBox[{"Select", "[", 
     RowBox[{"reseniPom", ",", 
      RowBox[{
       RowBox[{
       "\[Omega]Min", "\[LessEqual]", "#", "\[LessEqual]", "\[Omega]Max"}], 
       "&"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "hledani", " ", "vraci", " ", "\"\<skoro stejne\>\"", " ", "hodnoty", 
      " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Union", " ", "sice", " ", "poskrta", " ", "duplicity"}], ",",
         " ", 
        RowBox[{
        "ale", " ", "FindRoot", " ", "resi", " ", "rovnice", " ", "numericky",
          " ", "a", " ", "vysletky", " ", "jsou", " ", "jen", " ", 
         "aproximace", " ", "a", " ", "Union", " ", "tudiz", " ", "dva", " ", 
         "blizke"}], ",", " ", 
        RowBox[{"ale", " ", "ne", " ", "zcela", " ", "shodne"}], ",", " ", 
        RowBox[{"vysledky", " ", "neposkrta"}]}], ")"}]}], ",", " ", 
     RowBox[{
     "my", " ", "tedy", " ", "zrusime", " ", "duplicity", " ", "vyslednych", 
      " ", "kruhovych", " ", "frekvenci", " ", "lisici", " ", "se", " ", "o", 
      " ", "mene"}], ",", " ", 
     RowBox[{"nez", " ", "0.2", 
      SuperscriptBox["s", 
       RowBox[{"-", "1"}]]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"hodnotu", " ", "0.2", 
        SuperscriptBox["s", 
         RowBox[{"-", "1"}]], " ", "jsem", " ", "proste", " ", "tipnul", " ", 
        "a", " ", "fungovala"}], "..."}], "zadna", " ", "hlubsi", " ", 
      "myslenka", " ", "za", " ", "tim", " ", "neni"}], ",", " ", 
     RowBox[{
      RowBox[{"stejne", " ", "jako", " ", "nebyla", " ", "ve", " ", 
       RowBox[{"starts", "[", 
        StyleBox["150",
         FontColor->RGBColor[1, 0, 0]], "]"}]}], "..."}]}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"nulyImZ", "=", 
    RowBox[{"DeleteDuplicates", "[", 
     RowBox[{"vOboru", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"Abs", "[", 
         RowBox[{"#1", "-", "#2"}], "]"}], "\[LessEqual]", "0.2"}], "&"}]}], 
     "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.796911015421875*^9, 3.796911109859375*^9}, {
  3.796911195125*^9, 3.796911378859375*^9}, {3.796911431796875*^9, 
  3.7969115443125*^9}, {3.796911626828125*^9, 3.796911730578125*^9}, {
  3.7969157788125*^9, 3.796915861875*^9}, {3.79691625675*^9, 
  3.7969164828125*^9}, {3.796917898140625*^9, 3.796917984640625*^9}, {
  3.79691802140625*^9, 3.796918033140625*^9}, {3.796918833453125*^9, 
  3.796919074484375*^9}, {3.796970684328125*^9, 3.796970686515625*^9}, {
  3.796970762421875*^9, 3.796970862046875*^9}, {3.796970900546875*^9, 
  3.796970989359375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"jen", " ", "si", " ", "z", " ", "hodnot", " ", "\[Omega]"}], 
     ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"pro", " ", "ktere", " ", "je", " ", 
         RowBox[{"Im", "[", "z", "]"}]}], "\[Equal]", 
        RowBox[{
        "0", " ", "udelame", " ", "list", " ", "dosazeni", " ", "za", " ", 
         "ne"}]}], "..."}], " ", "trochu", " ", "se", " ", "skrabeme", " ", 
      "pres", " ", "rameno", " ", "za", " ", "uchem"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"FindRoot", " ", "to", " ", "vracel"}], "..."}], " ", "ale", 
      " ", "napsat", " ", "to", " ", "lepe", " ", "je", " ", "nabidka", " ", 
      RowBox[{"bodu", ":", "-"}]}]}], ")"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"dosadOmegyImNula", "=", 
   RowBox[{"nulyImZ", "/.", 
    RowBox[{"\[Omega]Im0_Real", "\[RuleDelayed]", 
     RowBox[{"{", 
      RowBox[{"\[Omega]", "->", "\[Omega]Im0"}], "}"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.79691177771875*^9, 3.796911825296875*^9}, {
   3.796916569453125*^9, 3.79691667109375*^9}, 3.79691804590625*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "pokud", " ", "to", " ", "trochu", " ", "jde", " ", "bez", " ", "velkeho",
      " ", "usili"}], ",", " ", 
    RowBox[{"udelame", " ", "si", " ", "grafice", " ", "vyjadreni"}]}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"bodyImNula", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[Omega]", ",", 
        RowBox[{"Im", "[", "z", "]"}]}], "}"}], "/.", "dosadOmegyImNula"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pla", "=", 
     RowBox[{"ListLogLinearPlot", "[", 
      RowBox[{"bodyImNula", ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"PointSize", "[", "0.015", "]"}]}], "}"}]}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"Show", "[", 
    RowBox[{"plIm", ",", "pla"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7969118388125*^9, 3.796911929546875*^9}, {
   3.79691197646875*^9, 3.796912011390625*^9}, {3.7969164945*^9, 
   3.796916527328125*^9}, 3.7969710293125*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"a", " ", "tady", " ", "zacina", " ", 
     RowBox[{
     "tzv", ".", " ", "\"\<experimentalni matematika\>\"", ".", " ", 
      "Zobrazime"}], " ", "si", " ", "body"}], ",", " ", 
    RowBox[{
     RowBox[{"pro", " ", "nez", " ", "plati", " ", 
      RowBox[{"Im", "[", "z", "]"}]}], "\[Equal]", 
     RowBox[{"0", " ", "do", " ", "grafu", " ", "pro", " ", 
      RowBox[{"Re", "[", "z", "]"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"vypada", " ", "to"}], ",", " ", 
    RowBox[{"ze", " ", "body", " ", "nulovosti", " ", 
     RowBox[{"Im", "[", "z", "]"}], " ", "jsou", " ", "totozne", " ", "s", 
     " ", "body", " ", "extremu", " ", 
     RowBox[{"Re", "[", "z", "]"}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"bodyReImNula", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[Omega]", ",", 
        RowBox[{"Re", "[", "z", "]"}]}], "}"}], "/.", "dosadOmegyImNula"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"plb", "=", 
     RowBox[{"ListLogLinearPlot", "[", 
      RowBox[{"bodyReImNula", ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"PointSize", "[", "0.015", "]"}]}], "}"}]}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"Show", "[", 
    RowBox[{"plRe", ",", "plb"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7969125529375*^9, 3.796912603078125*^9}, 
   3.796912635375*^9, {3.796912761640625*^9, 3.796912762234375*^9}, {
   3.79691279734375*^9, 3.7969127985625*^9}, {3.7969166925*^9, 
   3.796916802828125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"no", " ", "a", " ", "vypada", " ", "to"}], ",", " ", 
    RowBox[{"ze", "  ", "body", " ", "nulovosti", " ", 
     RowBox[{"Im", "[", "z", "]"}], " ", "jsou", " ", "take", " ", "totozne", 
     " ", "s", " ", "body", " ", "extremu", " ", 
     RowBox[{"Abs", "[", "z", "]"}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"bodyAbsImNula", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[Omega]", ",", 
        RowBox[{"Abs", "[", "z", "]"}]}], "}"}], "/.", "dosadOmegyImNula"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"plc", "=", 
     RowBox[{"ListLogLogPlot", "[", 
      RowBox[{"bodyAbsImNula", ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"PointSize", "[", "0.015", "]"}]}], "}"}]}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"Show", "[", 
    RowBox[{"plAbs", ",", "plc"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.796912617265625*^9, 3.79691264859375*^9}, {
  3.796912810484375*^9, 3.79691281109375*^9}, {3.796916811546875*^9, 
  3.79691685715625*^9}, {3.79691809075*^9, 3.796918091921875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"a", " ", "docela", " ", "logicky", " ", "jsou", " ", "nuly", " ", 
    RowBox[{"Arg", "[", "z", "]"}], " ", "totozne", " ", "s", " ", "nulami", 
    " ", 
    RowBox[{"Im", "[", "z", "]"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"bodyArgImNula", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[Omega]", ",", 
        RowBox[{"Arg", "[", "z", "]"}]}], "}"}], "/.", "dosadOmegyImNula"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pld", "=", 
     RowBox[{"ListLogLinearPlot", "[", 
      RowBox[{"bodyArgImNula", ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"PointSize", "[", "0.015", "]"}]}], "}"}]}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"Show", "[", 
    RowBox[{"plArg", ",", "pld"}], "]"}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.796916957953125*^9, 3.7969169990625*^9}, {
  3.7969170308125*^9, 3.796917057578125*^9}, {3.79691714371875*^9, 
  3.79691717046875*^9}, {3.796917220328125*^9, 3.796917253015625*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"totoznost", " ", "nul", " ", 
    RowBox[{"Im", "[", "z", "]"}], " ", "s", " ", "extremy", " ", 
    RowBox[{"Abs", "[", "z", "]"}], " ", "neni", " ", "uplne", " ", 
    "samozrejma"}], ",", " ", 
   RowBox[{
   "pokud", " ", "ji", " ", "overite", " ", "vypoctem", " ", "maxim", " ", 
    RowBox[{"Abs", "[", "z", "]"}], " ", "a", " ", "jejich", " ", 
    "porovnanim", " ", "s", " ", "nulovymi", " ", "body", " ", 
    RowBox[{"Im", "[", "z", "]"}]}], ",", " ", 
   RowBox[{
    RowBox[{"dostanete", " ", "body"}], "..."}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.7969172616875*^9, 3.79691734496875*^9}, {
  3.79691811134375*^9, 3.796918113359375*^9}}]
},
WindowSize->{1068, 641},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
PrivateNotebookOptions -> {
 "VersionedStylesheet" -> {"Default.nb"[8.] -> False}},
Magnification->1.5000001192092896`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 963, 28, 184, "Input"],
Cell[1524, 50, 1727, 51, 208, "Input"],
Cell[3254, 103, 2981, 82, 482, "Input"],
Cell[6238, 187, 3391, 74, 395, "Input"],
Cell[9632, 263, 3155, 72, 322, "Input"],
Cell[12790, 337, 277, 6, 43, "Input"],
Cell[13070, 345, 1889, 42, 238, "Input"],
Cell[14962, 389, 1787, 43, 238, "Input"],
Cell[16752, 434, 2146, 49, 267, "Input"],
Cell[18901, 485, 3381, 85, 449, "Input"],
Cell[22285, 572, 6626, 165, 916, "Input"],
Cell[28914, 739, 1153, 27, 125, "Input"],
Cell[30070, 768, 1094, 30, 125, "Input"],
Cell[31167, 800, 1676, 42, 179, "Input"],
Cell[32846, 844, 1216, 30, 152, "Input"],
Cell[34065, 876, 1142, 28, 152, "Input"],
Cell[35210, 906, 708, 15, 98, "Input"]
}
]
*)

